Deep Security Manager REST API

Path: / rest / tenants

Retrieve information about all tenants.


Resources
NameDescription
id
id/{tID}
Retrieve a tenant by tenant's ID.
name
name/{tName}
Retrieve a tenant by name.

Method Summary
ResourceDescription
GET /rest/tenants?sID=…Retrieve information about all tenants.
POST /rest/tenantsAdd a new tenant.

Method Detail
HTTP Example:
GET /rest/tenants?sID=…

API Example:

ITenantAPI.listAllTenants({'sID': /* sID session ID. */});

Retrieve information about all tenants.

Output:
TenantListing - The collection of tenants.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
POST /rest/tenants

API Example:

ITenantAPI.addTenant({'$entity': /* createTenantRequest contains options to be used for the creation of the new tenant. */});

Add a new tenant.

Input:
CreateTenantRequest - contains options to be used for the creation of the new tenant.
Output:
CreateTenantResponse - A response with status 200 OK and a body containing tenant details when adding the tenant succeeds. If parameter validation fails, it will return a response with status 400 Bad Request and a body containing an ErrorMessage. If parameter validation succeeds but creation of the tenant fails, the tenant will be left in a partially created state, and will need to be deleted.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.